> ## Documentation Index
> Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt
> Use this file to discover all available pages before exploring further.

# List insurance documents

> Get all insurances for a subcontractor



## OpenAPI

````yaml GET /subcontractors/{id}/insurances
openapi: 3.0.0
info:
  title: BuildPass API
  description: >-
    Approved integrators can connect to the BuildPass API on behalf of builders
    to build connections between a wide range of construction platforms.
  version: 1.0.0
servers:
  - url: https://api.buildpass.global
    description: Production server
security:
  - OAuth2: []
paths:
  /subcontractors/{id}/insurances:
    get:
      description: Get all insurances for a subcontractor
      operationId: getInsurances
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            example: sub_clgbsb90b001qjy0f0eo1hspp
        - name: offset
          description: >-
            The number of items to skip before starting to collect the result
            set
          in: query
          required: false
          schema:
            type: integer
            default: 0
            example: 0
        - name: limit
          description: The number of items to return.
          in: query
          required: false
          schema:
            type: integer
            default: 25
            example: 25
            maximum: 25
        - name: type
          description: Filter insurances by type
          in: query
          required: false
          schema:
            type: string
            enum:
              - PUBLIC_LIABILITY
              - WORK_COVER
              - OTHER
            example: SWMS
        - name: status
          description: Filter insurances by status
          in: query
          required: false
          schema:
            type: string
            enum:
              - CHANGES_REQUESTED
              - REVIEWED
              - WAITING_REVIEW
              - EXPIRED
            example: EXPIRED
        - name: customType
          description: Filter insurances by custom type
          in: query
          required: false
          schema:
            type: string
            example: SDS
        - name: X-BuildPass-Api-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/X-BuildPass-Api-Version'
      responses:
        '200':
          description: A list of insurances
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponseInsurance'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
      security:
        - OAuth2: []
components:
  schemas:
    X-BuildPass-Api-Version:
      type: string
      example: v1
      default: v1
      enum:
        - v1
      description: What API version to use.
    PaginatedResponseInsurance:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Insurance'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              fieldName:
                type: string
                example: name
              message:
                type: string
                example: This field is required.
    Insurance:
      type: object
      properties:
        id:
          type: string
          example: doc_clgbsb90b001qjy0f0eo1hspp
        createdAt:
          type: string
          format: date-time
          example: '2023-10-03T23:19:35.771Z'
        updatedAt:
          type: string
          format: date-time
          example: '2023-10-03T23:19:35.771Z'
        expiry:
          type: string
          format: date-time
          example: '2023-10-03T23:19:35.771Z'
        name:
          type: string
          example: Safety Certificate
        type:
          type: string
          enum:
            - PUBLIC_LIABILITY
            - WORK_COVER
            - OTHER
        customType:
          type: string
          example: SDS
        status:
          type: string
          enum:
            - CHANGES_REQUESTED
            - REVIEWED
            - WAITING_REVIEW
          example: WAITING_REVIEW
        url:
          type: string
          format: uri
    PaginationMeta:
      type: object
      properties:
        totalCount:
          type: integer
          description: How many total items there are.
          example: 100
        totalPages:
          type: integer
          description: How many pages there are based on your offset and limit.
          example: 4
        offset:
          type: integer
          description: How many items skipped before starting to collect the result set.
          example: 0
        limit:
          type: integer
          description: How many items you requested to return.
          example: 25
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.buildpass.global/oauth/token
          scopes:
            read:subcontractors: Read subcontractors
            write:subcontractors: Write subcontractors
            read:prequalifications: Read prequalifications
            write:prequalifications: Write prequalifications
            read:insurances: Read insurances
            write:insurances: Write insurances
            read:contacts: Read contacts
            read:swms: Read SWMS
            read:timesheets: Read timesheets
            read:inductions: Read inductions
            read:meetings: Read meetings
            write:meetings: Write meetings
            read:photos: Read photos and photo folders
            write:photos: Create, update, delete, and sync photos and photo folders

````